<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>CSS Grid #03</title>
    <link rel="stylesheet" href="css/tag.css">
    <style>
        * {
            padding: 0;
            margin: 0;
        }

        header {
            grid-area: cabecalho;
        }

        nav {
            grid-area: navegacao;
        }

        main {
            grid-area: conteudo;
        }

        footer {
            grid-area: rodape;
        }

        body {
            display: grid;
            min-height: 100vh;
            grid-template-columns: 300px 1fr;
            grid-template-rows: 100px 1fr 100px;
            grid-template-areas: 
                'cabecalho cabecalho' 
                'navegacao conteudo'
                'navegacao rodape';
        }

        @media (max-width: 700px) {
            body {
            grid-template-columns: 1fr;
            grid-template-rows: 60px 60px 1fr 100px;
            grid-template-areas: 
                'cabecalho' 
                'navegacao'
                'conteudo'
                'rodape';
        }   
        }


    </style>
</head>

<body>
    <main class="tag">CONTEÚDO</main>
    <header class="tag">CABEÇALHO</header>
    <footer class="tag">RODAPÉ</footer>
    <nav class="tag">NAVEGAÇÃO</nav>

    <script src="js/tag.js"></script>
</body>

</html>